#!/usr/bin/env node

const creat_argv = require("nv-cli-basic");

const cfg = {
    alias: {
        'server'    :   's',
        'name'      :   'n',
        'table_name':   't',
        'zone'      :   'z', 
        "help":'h',
    },
    defaults: {
        'server':'127.0.0.1',
        'max_size':1000000,
        'zone':'+0800'
    },
    description: {
        'server':'db host ip default 127.0.0.1',
        'name':'db name',
        'table_name':'table name',
        'zone':"tmzone,default +0800",
        'help':"usage"
    },
    boolean: ["help"],
    string:  ["table_name","server","name",'zone'],
}

var argv = creat_argv(cfg);

const _creat  =require("nv-cli-nofix-dbcreat");

const {PAIRL} = require("./index");


if(argv.h) {
    var _usage = argv.usage('nv_cfg_repo_cli_creat');
    console.log(_usage)
} else {
    _creat(argv,PAIRL)
}
