#!/usr/bin/env node

const creat_argv = require("nv-cli-basic");

const cfg = {
    alias: {
        "tblname":"t",
        "help":'h',
    },
    description: {
        "tblname":"table name",
        'help':"usage"
    },
    boolean: ["help"],
}

var argv = creat_argv(cfg);

const _creat = (t)=>`
CREATE INDEX ${t}_sheet_id_idx        ON   ${t}  (c0);
CREATE INDEX ${t}_seq_idx             ON   ${t}  (c1);
CREATE INDEX ${t}_oper_idx            ON   ${t}  (c2);
CREATE INDEX ${t}_act_idx             ON   ${t}  (c3);
CREATE INDEX ${t}_c4_idx          ON   ${t}  (c4);
CREATE INDEX ${t}_c5_idx            ON   ${t}  (c5);
CREATE INDEX ${t}_c6_idx           ON   ${t}  (c6);
CREATE INDEX ${t}_c7_idx           ON   ${t}  (c7);
CREATE INDEX ${t}_c22_idx           ON   ${t}  (c22);
CREATE INDEX ${t}_c23_idx           ON   ${t}  (c23);
CREATE INDEX ${t}_c24_idx           ON   ${t}  (c24);

CREATE INDEX ${t}_all_files_ok_idx    ON   ${t}  (c8);



CREATE INDEX ${t}_update_at_idx      ON   ${t} (update_at);
CREATE INDEX ${t}_y_idx              ON   ${t} (y);
CREATE INDEX ${t}_m_idx              ON   ${t} (m);
CREATE INDEX ${t}_d_idx              ON   ${t} (d);
CREATE INDEX ${t}_h_idx              ON   ${t} (h);
CREATE INDEX ${t}_min_idx            ON   ${t} (min);
CREATE INDEX ${t}_s_idx              ON   ${t} (s);
CREATE INDEX ${t}_ms_idx             ON   ${t} (ms);
CREATE INDEX ${t}_ymd_idx            ON   ${t} (y,m,d);
CREATE INDEX ${t}_ymdhmsms_idx       ON   ${t} (y,m,d,h,min,s,ms);
`;



if(argv.h) {
    var _usage = argv.usage('nv_cfg_repo_cli_dbidx');
    console.log(_usage)
} else {
    console.log(_creat(argv.t))
}
